Bug 10298 - smb2_server processing overhead
smb2_server processing overhead
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-29 09:49 UTC by Stefan Metzmacher
Modified: 2013-12-10 15:22 UTC (History)
1 user (show)

See Also:


Attachments
Patches for v4-1-test (42.50 KB, patch)
2013-11-29 09:51 UTC, Stefan Metzmacher
jra: review+
Details
Patches for v4-0-test (42.50 KB, patch)
2013-11-29 09:51 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-11-29 09:49:40 UTC
The generic smb2 server request handling had much more overhead than
the smb1 server code path.

This is fixed in master now and might be backported to release branches.
Comment 1 Stefan Metzmacher 2013-11-29 09:51:21 UTC
Created attachment 9493 [details]
Patches for v4-1-test
Comment 2 Stefan Metzmacher 2013-11-29 09:51:47 UTC
Created attachment 9494 [details]
Patches for v4-0-test
Comment 3 Jeremy Allison 2013-12-06 18:53:07 UTC
Comment on attachment 9493 [details]
Patches for v4-1-test

LGTM.
Comment 4 Jeremy Allison 2013-12-06 18:53:18 UTC
Comment on attachment 9494 [details]
Patches for v4-0-test

LGTM.
Comment 5 Jeremy Allison 2013-12-06 18:53:40 UTC
Re-assigning to Karolin for inclusion in 4.0.next and 4.1.next.

Jeremy.
Comment 6 Karolin Seeger 2013-12-10 11:59:48 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-12-10 15:22:52 UTC
Pushed to v4-0-test and v4-1-test.
Closing out bug report.

Thanks!